#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -fexceptions )

add_subdirectory( antlr )


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/antlr
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### split2po (executable) #####################

tde_add_executable( split2po
  SOURCES split.cpp parser.cpp
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### xml2pot (executable) ######################

tde_add_executable( xml2pot
  SOURCES xml2pot.cpp parser.cpp
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### po2xml (executable) #######################

tde_add_executable( po2xml
  SOURCES GettextLexer.cpp GettextParser.cpp po2xml.cpp parser.cpp
  LINK antlr-static kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### swappo (executable) #######################

tde_add_executable( swappo
  SOURCES GettextLexer.cpp GettextParser.cpp swappo.cpp parser.cpp
  LINK antlr-static kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### transxx (executable) ######################

tde_add_executable( transxx
  SOURCES GettextLexer.cpp GettextParser.cpp transxx.cpp parser.cpp
  LINK antlr-static kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
